Computing Atlas

How Computing Was Built
Sign In
Text size
100%
Theme
Group

Block Cipher

A block cipher is a symmetric-key cryptographic algorithm that operates on fixed-length groups of bits, called blocks, transforming each block under the control of a secret key using a sequence of substitution and permutation rounds. The same key encrypts and decrypts, and the cipher is usually paired with a mode of operation (such as CBC or GCM) to process messages longer than one block. The Advanced Encryption Standard, the Data Encryption Standard, Blowfish, Twofish, Serpent and Camellia are widely cited examples; each was designed to resist known plaintext, differential and linear cryptanalysis over a fixed block size, commonly 64 or 128 bits.

Facts
Comparison
Era of Emergence
1976 1
Browse By
Block Cipher
Filter Results34 entries

Advanced Encryption Standard Algorithm

Cryptographic Algorithm
7 links

ARIA (cipher)

Cryptographic Algorithm
1 link

Blowfish Algorithm

Cryptographic Algorithm
3 links

Camellia Algorithm

Cryptographic Algorithm
1 link

CAST-128

Cryptographic Algorithm
3 links

CAST-256

Cryptographic Algorithm
6 links

CLEFIA

Cryptographic Algorithm
1 link

Data Encryption Standard Algorithm

Cryptographic Algorithm
3 links

DES-X

Cryptographic Algorithm
3 links

FEAL

Cryptographic Algorithm
1 link

Galois/Counter Mode

Cryptographic Algorithm
3 links

GOST (block cipher)

Cryptographic Algorithm
1 link

GOST Algorithm

Cryptographic Algorithm

International Data Encryption Algorithm

Cryptographic Algorithm
3 links

KASUMI

Cryptographic Algorithm
1 link

Kuznyechik Algorithm

Cryptographic Algorithm
1 link

Lucifer (cipher)

Cryptographic Algorithm
3 links

MARS Algorithm

Cryptographic Algorithm
1 link

MISTY1

Cryptographic Algorithm
3 links

RC2

Cryptographic Algorithm
3 links

RC5 Algorithm

Cryptographic Algorithm
3 links

RC6 Algorithm

Cryptographic Algorithm
4 links

SEED

Cryptographic Algorithm
1 link

Serpent (cipher)

Cryptographic Algorithm
3 links

Serpent Algorithm

Cryptographic Algorithm
4 links

Skipjack Algorithm

Cryptographic Algorithm
1 link

SM4 Algorithm

Cryptographic Algorithm
1 link

Speck Algorithm

Cryptographic Algorithm
1 link

Threefish Algorithm

Cryptographic Algorithm
5 links

Tiny Encryption Algorithm

Cryptographic Algorithm
5 links

Triple DES Algorithm

Cryptographic Algorithm
1 link

Twofish Algorithm

Cryptographic Algorithm
4 links

XTEA

Cryptographic Algorithm
5 links

XXTEA

Cryptographic Algorithm
5 links
Sources
1. Block cipher - Wikipedia
Block cipher article, sentence naming 1976
Quote, Block cipher article, sentence naming 1976
DES was publicly released in 1976 and has been widely used.
View the Source
Wikipedia: Data Encryption Standard
Has Member: Data Encryption Standard Algorithm, Lead paragraph/'DES challenges' section: 'the modern understanding of block ciphers and their cryptanalysis' describes DES's own design as a symmetric-key block cipher.View the Source
Wikipedia: Triple DES
Has Member: Triple DES Algorithm, Lead paragraph: 'Triple DES ... is a symmetric-key block cipher, which applies the Data Encryption Standard (DES) cipher algorithm three times'.View the Source
Wikipedia: Blowfish (cipher)
Has Member: Blowfish Algorithm, Lead paragraph: 'Blowfish is a symmetric-key block cipher, designed in 1993 by Bruce Schneier'.View the Source
Wikipedia: Twofish
Has Member: Twofish Algorithm, Lead paragraph: 'Twofish is a symmetric key block cipher with a block size of 128 bits'.View the Source
International Data Encryption Algorithm (Wikipedia)
Has Member: International Data Encryption Algorithm, Lead paragraph: 'the International Data Encryption Algorithm (IDEA) ... is a symmetric-key block cipher designed by James Massey ... and Xuejia Lai'.View the Source
Skipjack (cipher) (Wikipedia)
Has Member: Skipjack Algorithm, Lead paragraph: 'Skipjack is a block cipher ... developed by the United States National Security Agency (NSA)'.View the Source
Tiny Encryption Algorithm (Wikipedia)
Has Member: Tiny Encryption Algorithm, Lead paragraph: 'the Tiny Encryption Algorithm (TEA) is a block cipher notable for its simplicity'.View the Source
SM4 (cipher) (Wikipedia)
Has Member: SM4 Algorithm, Lead paragraph: 'ShangMi 4 (SM4, formerly SMS4) is a block cipher, standardised for commercial cryptography in China'.View the Source
XTEA (Wikipedia)
Has Member: XTEA, Lead
Quote, Has Member: XTEA, Lead
In cryptography, XTEA (eXtended TEA) is a block cipher designed to correct weaknesses in TEA.
View the Source
Galois/Counter Mode (Wikipedia)
Has Member: Galois/Counter Mode, Lead, first sentence
Quote, Has Member: Galois/Counter Mode, Lead, first sentence
is a mode of operation for symmetric-key cryptographic block ciphers
View the Source
CAST-256 (Wikipedia)
Has Member: CAST-256, Lead sentence
Quote, Has Member: CAST-256, Lead sentence
In cryptography, CAST-256 (or CAST6) is a symmetric-key block cipher published in June 1998.
View the Source
CLEFIA (Wikipedia)
Has Member: CLEFIA, Lead paragraph
Quote, Has Member: CLEFIA, Lead paragraph
CLEFIA is a proprietary block cipher algorithm, developed by Sony.
View the Source
XXTEA (Wikipedia)
Has Member: XXTEA, Lead
Quote, Has Member: XXTEA, Lead
is a block cipher designed to correct weaknesses in the original Block TEA
View the Source
RFC 2268: A Description of the RC2 Encryption Algorithm
Has Member: RC2, 1. Introduction
Quote, Has Member: RC2, 1. Introduction
This memo describes a conventional (secret-key) block encryption
View the Source
RFC 2144: The CAST-128 Encryption Algorithm
Has Member: CAST-128, 2. Description of Algorithm
Quote, Has Member: CAST-128, 2. Description of Algorithm
CAST-128 belongs to the class of encryption algorithms known as
View the Source
RFC 2994: A Description of the MISTY1 Encryption Algorithm
Has Member: MISTY1, Abstract
Quote, Has Member: MISTY1, Abstract
This document describes a secret-key cryptosystem MISTY1, which is
View the Source
DES-X (Wikipedia)
Has Member: DES-X, Introduction
Quote, Has Member: DES-X, Introduction
DES-X (or DESX) is a variant on the DES (Data Encryption Standard) symmetric-key block cipher
View the Source
RFC 4269: The SEED Encryption Algorithm
Has Member: SEED, 1.2 SEED Overview
Quote, Has Member: SEED, 1.2 SEED Overview
SEED is a 128-bit symmetric key block cipher that has been developed
View the Source
ARIA (cipher) (Wikipedia)
Has Member: ARIA (cipher), Lead section
Quote, Has Member: ARIA (cipher), Lead section
ARIA is a block cipher designed in 2003 by a large group of South Korean researchers
View the Source
KASUMI (Wikipedia)
Has Member: KASUMI, Lead
Quote, Has Member: KASUMI, Lead
KASUMI is a block cipher used in UMTS, GSM, and GPRS mobile communications systems.
View the Source
Wikipedia: Advanced Encryption Standard Algorithm
Wikimedia FoundationHas Member: Advanced Encryption Standard Algorithm, Lead section
Quote, Has Member: Advanced Encryption Standard Algorithm, Lead section
variant of the Rijndael block cipher
View the Source
Serpent (cipher) (Wikipedia)
  • Has Member: Serpent Algorithm, Lead section
    symmetric key block cipher
  • Has Member: Serpent (cipher), Lead section
    symmetric key block cipher
View the Source
Camellia (cipher) (Wikipedia)
Has Member: Camellia Algorithm, Lead section
Quote, Has Member: Camellia Algorithm, Lead section
symmetric key block cipher
View the Source
Threefish (Wikipedia)
Has Member: Threefish Algorithm, Lead section
Quote, Has Member: Threefish Algorithm, Lead section
symmetric-key tweakable block cipher
View the Source
RC5 (Wikipedia)
Has Member: RC5 Algorithm, Lead section
Quote, Has Member: RC5 Algorithm, Lead section
symmetric-key block cipher
View the Source
MARS (cipher) (Wikipedia)
Has Member: MARS Algorithm, Lead section
Quote, Has Member: MARS Algorithm, Lead section
is a block cipher
View the Source
RC6 (Wikipedia)
Has Member: RC6 Algorithm, Lead section
Quote, Has Member: RC6 Algorithm, Lead section
symmetric key block cipher
View the Source
Speck (cipher) (Wikipedia)
Has Member: Speck Algorithm, Lead section
Quote, Has Member: Speck Algorithm, Lead section
family of lightweight block ciphers
View the Source
GOST (block cipher) (Wikipedia)
  • Has Member: GOST Algorithm, Lead section
    symmetric key block cipher
  • Has Member: GOST (block cipher), Lead section
    symmetric key block cipher
View the Source
Kuznyechik (Wikipedia)
Has Member: Kuznyechik Algorithm, Lead section
Quote, Has Member: Kuznyechik Algorithm, Lead section
is a symmetric block cipher
View the Source
FEAL (Wikipedia)
Has Member: FEAL, Lead section
Quote, Has Member: FEAL, Lead section
is a block cipher
View the Source
Lucifer (cipher) (Wikipedia)
Has Member: Lucifer (cipher), Lead section
Quote, Has Member: Lucifer (cipher), Lead section
earliest civilian block ciphers
View the Source
Comments (0)
No comments yet. Be the first to share a thought.
Reader Challenges (0)
No disputes yet. Spotted an error or a better source? Open the first one.